ClusterManagementListResult (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementListResult

Package org.apache.geode.management.api

# Class ClusterManagementListResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo>

java.lang.Object
org.apache.geode.management.api.ClusterManagementResult
org.apache.geode.management.api.ClusterManagementListResult<T,R>

Type Parameters:
  `T` - the type of the static config, e.g. RegionConfig
  `R` - the type of the corresponding runtime information, e.g. RuntimeRegionInfo

All Implemented Interfaces:
  `Serializable`

@Experimental public class ClusterManagementListResult<T extends AbstractConfiguration<R>,R extends RuntimeInfo> extends ClusterManagementResult

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

  `ClusterManagementResult.StatusCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementListResult()`
  `ClusterManagementListResult(ClusterManagementResult.StatusCode statusCode, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntityInfo(EntityInfo<T,R> entityInfo)`
  `List<T>`
  `getConfigResult()`
  Returns only the static config portion of the results
  `List<EntityGroupInfo<T,R>>`
  `getEntityGroupInfo()`
  Returns the combined payload of the list call
  `List<EntityInfo<T,R>>`
  `getResult()`
  `List<R>`
  `getRuntimeResult()`
  Returns only the runtime information portion of the results
  `void`
  `setEntityGroupInfo(List<EntityGroupInfo<T,R>> entityGroupInfos)`
  `void`
  `setResult(List<EntityInfo<T,R>> entities)`

  ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

  `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementListResult

    public ClusterManagementListResult()

  - ### ClusterManagementListResult

    public ClusterManagementListResult(ClusterManagementResult.StatusCode statusCode, String message)

- ## Method Details

  - ### getEntityGroupInfo

    public List<EntityGroupInfo<T,R>> getEntityGroupInfo()
    Returns the combined payload of the list call
    Returns:
      a list of `EntityGroupInfo`

  - ### getResult

    public List<EntityInfo<T,R>> getResult()

  - ### setResult

    public void setResult(List<EntityInfo<T,R>> entities)

  - ### addEntityInfo

    public void addEntityInfo(EntityInfo<T,R> entityInfo)

  - ### setEntityGroupInfo

    public void setEntityGroupInfo(List<EntityGroupInfo<T,R>> entityGroupInfos)

  - ### getConfigResult

    public List<T> getConfigResult()
    Returns only the static config portion of the results
    Returns:
      only the static config portion of the results

  - ### getRuntimeResult

    public List<R> getRuntimeResult()
    Returns only the runtime information portion of the results
    Returns:
      only the runtime information portion of the results